<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZCustomerPickupTreeView_layoutBase from './ibizcustomer-pickup-tree-view-layout-base.vue';

import view_tree from '@widgets/ibizcustomer/usr-treeview/usr-treeview.vue';
@Component({
    components: {
        view_tree, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZCustomerPickupTreeView_layout extends IBIZCustomerPickupTreeView_layoutBase {

}
</script>